Referencia
Ubicaciones
Las sucursales donde valen tus tarjetas y desde donde opera tu equipo.
GET
/api/v2/locationsAuthorization
ApiKeyAuth X-API-Key<token>
In: header
Query Parameters
page?integer
Page number
Range
1 <= valueDefault
1itemsPerPage?integer
Items per page
Range
1 <= value <= 1000Default
30Response Body
application/json
curl -X GET "https://example.com/api/v2/locations"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "meta": { "totalItems": 0, "itemsPerPage": 0, "currentPage": 0 }, "data": [ {} ]}POST
/api/v2/locationsAuthorization
ApiKeyAuth X-API-Key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v2/locations" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "address": "string", "message": "string", "latitude": "string", "longitude": "string" }'{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": {}}GET
/api/v2/locations/{id}Authorization
ApiKeyAuth X-API-Key<token>
In: header
Path Parameters
id*string
Match
\d+Response Body
application/json
curl -X GET "https://example.com/api/v2/locations/string"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": {}}PATCH
/api/v2/locations/{id}Authorization
ApiKeyAuth X-API-Key<token>
In: header
Path Parameters
id*string
Match
\d+Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/api/v2/locations/string" \ -H "Content-Type: application/json" \ -d '{}'{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": {}}DELETE
/api/v2/locations/{id}Authorization
ApiKeyAuth X-API-Key<token>
In: header
Path Parameters
id*string
Match
\d+Response Body
application/json
curl -X DELETE "https://example.com/api/v2/locations/string"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "id": 0 }}